---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libhs203t001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C718, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E658, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EA40, symBinAddr: 0xE518, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4F9E0, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4F9E8, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C3A8, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C3AC, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C3B0, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C500, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C5B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C5BC, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C5C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C5C4, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C5C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8ED7, offset: 0x8ED7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C5D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F60, offset: 0x8F60, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C5E8, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8F79, offset: 0x8F79, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C5F0, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8F92, offset: 0x8F92, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C5F8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FAB, offset: 0x8FAB, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C600, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FC5, offset: 0x8FC5, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C608, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x90AB, offset: 0x90AB, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4C650, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90FD, offset: 0x90FD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3B2C, symSize: 0xA0 }
  - { offsetInCU: 0x9192, offset: 0x9192, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3B04, symSize: 0x28 }
  - { offsetInCU: 0x91F5, offset: 0x91F5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3A84, symSize: 0x80 }
  - { offsetInCU: 0x9489, offset: 0x9489, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3BCC, symSize: 0x34 }
  - { offsetInCU: 0x94E3, offset: 0x94E3, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3C00, symSize: 0x20C }
  - { offsetInCU: 0x969C, offset: 0x969C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3E0C, symSize: 0x28 }
  - { offsetInCU: 0x9765, offset: 0x9765, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3E34, symSize: 0xB0 }
  - { offsetInCU: 0x985C, offset: 0x985C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3EE4, symSize: 0xD8 }
  - { offsetInCU: 0x9981, offset: 0x9981, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3FBC, symSize: 0x24 }
  - { offsetInCU: 0x9A70, offset: 0x9A70, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3FE0, symSize: 0x168 }
  - { offsetInCU: 0x9C4C, offset: 0x9C4C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4148, symSize: 0x104 }
  - { offsetInCU: 0x9EFD, offset: 0x9EFD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x424C, symSize: 0x3F8 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4644, symSize: 0x154 }
  - { offsetInCU: 0xA32B, offset: 0xA32B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4798, symSize: 0xAC }
  - { offsetInCU: 0xA458, offset: 0xA458, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x24EC, symBinAddr: 0x4844, symSize: 0x2A0 }
  - { offsetInCU: 0xA709, offset: 0xA709, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4AE4, symSize: 0x14 }
  - { offsetInCU: 0xA742, offset: 0xA742, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4AF8, symSize: 0x14 }
  - { offsetInCU: 0xA77B, offset: 0xA77B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4B0C, symSize: 0x14 }
  - { offsetInCU: 0xA938, offset: 0xA938, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4B20, symSize: 0x1A8 }
  - { offsetInCU: 0xAC4C, offset: 0xAC4C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4CC8, symSize: 0x9C }
  - { offsetInCU: 0xAD09, offset: 0xAD09, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4D64, symSize: 0x690 }
  - { offsetInCU: 0xB89B, offset: 0xB89B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x92AC, symBinAddr: 0x60DC, symSize: 0x30 }
  - { offsetInCU: 0xB927, offset: 0xB927, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x53F4, symSize: 0x74 }
  - { offsetInCU: 0xBA3B, offset: 0xBA3B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5468, symSize: 0xB0 }
  - { offsetInCU: 0xBB46, offset: 0xBB46, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5518, symSize: 0x3C }
  - { offsetInCU: 0xBC3C, offset: 0xBC3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5554, symSize: 0x29C }
  - { offsetInCU: 0xBF7F, offset: 0xBF7F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x57F0, symSize: 0xD0 }
  - { offsetInCU: 0xC0AD, offset: 0xC0AD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x58C0, symSize: 0xC }
  - { offsetInCU: 0xC16F, offset: 0xC16F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x58CC, symSize: 0x22C }
  - { offsetInCU: 0xC42A, offset: 0xC42A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AF8, symSize: 0x4 }
  - { offsetInCU: 0xC46E, offset: 0xC46E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AF8, symSize: 0x4 }
  - { offsetInCU: 0xC487, offset: 0xC487, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5AFC, symSize: 0x194 }
  - { offsetInCU: 0xC740, offset: 0xC740, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E60, symBinAddr: 0x5C90, symSize: 0x4 }
  - { offsetInCU: 0xC784, offset: 0xC784, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E60, symBinAddr: 0x5C90, symSize: 0x4 }
  - { offsetInCU: 0xC7D5, offset: 0xC7D5, size: 0x8, addend: 0x0, symName: _callbackClassLoad, symObjAddr: 0x8E64, symBinAddr: 0x5C94, symSize: 0x120 }
  - { offsetInCU: 0xCA41, offset: 0xCA41, size: 0x8, addend: 0x0, symName: _callbackSingleStep, symObjAddr: 0x8F84, symBinAddr: 0x5DB4, symSize: 0x12C }
  - { offsetInCU: 0xCBD4, offset: 0xCBD4, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0x90B0, symBinAddr: 0x5EE0, symSize: 0x60 }
  - { offsetInCU: 0xCCE8, offset: 0xCCE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t001_hs203t001_popThreadFrame, symObjAddr: 0x9110, symBinAddr: 0x5F40, symSize: 0xD8 }
  - { offsetInCU: 0xCE45, offset: 0xCE45, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t001_hs203t001_resumeThread, symObjAddr: 0x91E8, symBinAddr: 0x6018, symSize: 0xC4 }
  - { offsetInCU: 0xCF9E, offset: 0xCF9E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x92DC, symBinAddr: 0x610C, symSize: 0x358 }
...
